/*
 * AuthCtrl
 *
 * responsible for customer registration complete
 * view : auth.html
 */
(function() {
    'use strict';

    angular
        .module('starter')
        .controller('AuthCtrl', AuthCtrl);

    function AuthCtrl($scope, $log, $rootScope, $state, Flash, $ionicLoading, config, apiRequesterService, $ionicHistory) {

        $scope.data = {};
        $scope.data.cc = '';
        $scope.data.tel = '';
        $scope.err = false;

        $scope.confirm = function() {
            apiRequesterService.checkConnection().then(function(res){
                $rootScope.connected = 'connected';
                $ionicLoading.show(config.loading);
                apiRequesterService.confirmation($scope.data.cc, $scope.data.tel).then(function(res) {
                    $scope.err = false;
                    var customer = res.data.PosCustomer;
                    res.data.PosCustomer.phone_no = $scope.data.tel;
                    $rootScope.CustomerRegister = res.data.PosCustomer;
                    $scope.errors = null;
                    $ionicLoading.hide();
                    $scope.data = {};
                    $ionicHistory.nextViewOptions({
                        disableAnimate: true
                    });
                    $state.go('register');

                }, function(err) {
                    $scope.errors = err.Customer;
                    $ionicLoading.hide();
                });
            },function(res){
                $scope.err = false;
                $scope.errors = undefined;
                $rootScope.connected = 'noConnection';
            });
        }
    }

})();
