/*
 * headerCtrl
 *
 * responsible for displaying terms screen
 * view : header.html
 */
(function() {
    'use strict';

    angular
        .module('starter')
        .controller('headerCtrl', headerCtrl);

    function headerCtrl($scope, $ionicSideMenuDelegate, $rootScope, $ionicHistory, $state) {

      $scope.showMenu = function () {

        if ($rootScope.showBackButton) {
            $ionicHistory.goBack();
            $rootScope.showBackButton = false;
            $('.header__menu').toggleClass('header__menu--back');
        } else {
            $('.navigation').toggleClass('navigation--open');
            $('.header__menu').toggleClass('header__menu--close');
        }

        $('span.close-clk').click();
      };

      if ($rootScope.showBackButton) {
        $('.header__menu').toggleClass('header__menu--back');
      }

    }

})();
