/*
 * ReviewPoint
 *
 * responsible for displaying side news
 * view : review-point-modal.html
 */
(function() {
    'use strict';

    angular
        .module('starter')
        .controller('ReviewPoint', ReviewPoint);

    function ReviewPoint($scope, $ionicModal) {

      $ionicModal.fromTemplateUrl('js/ctrls/layouts/common/review-point-modal.html', {
        scope: $scope,
        animation: 'slide-in-up'
      }).then(function(modal) {
        $scope.modal = modal;
      });

      $scope.openModal = function() {
        $scope.modal.show();
      };

      $scope.closeModal = function() {
        $scope.modal.hide();
      };
    }

})();
