/*
 * PosTermsCtrl
 *
 * responsible for displaying pos registration terms of services
 * view : register2.html
 */
(function() {
    'use strict';

    angular
        .module('starter')
        .controller('PosTermsCtrl', PosTermsCtrl);

    function PosTermsCtrl($scope, $log, $rootScope, $state, $ionicLoading, $sce, apiRequesterService, errorFactory, Flash, config) {
      $scope.form = {
        terms_of_services: ''
      }

      $scope.clickRedirectToInput = function () {
        if ($scope.form.terms_of_services.length !=0 ) {
          $state.go('pos-register');
        }
      }
      apiRequesterService.checkConnection().then(function(res){
        $ionicLoading.show(config.loading);
        apiRequesterService.getTermsOfServices().then(function(res){
          if (res) {
            $scope.form.terms_of_services = $sce.trustAsHtml(res.data.Term.content);
            $ionicLoading.hide();
          }
        }, function(err) {
          $scope.form.terms_of_services = '';
          $ionicLoading.hide();
        });

      }, function(err) {
        $rootScope.connected = 'noConnection';
      });
    }
})();
