/*
 * TherapistRankPrefCtrl
 *
 * responsible for displaying order history email screen
 * view : pref.html
 */
(function() {
    'use strict';

    angular
        .module('starter')
        .controller('TherapistRankPrefCtrl', TherapistRankPrefCtrl);

    function TherapistRankPrefCtrl($state, $scope, $rootScope, apiRequesterService) {
      $scope.prefecture = MST_PREF;
      $scope.prefecture[0] = {Pref:{api_pref_id:'',name:"全国"}};
      $scope.selectPref = function(pref_id, pref_name) {
        $rootScope.selectedPrefId = pref_id;
        $rootScope.selectedPrefName = pref_name;
        $state.go('therapist-ranking-list');
      };

    }
})();
