RiracleApp.controller("RiracleFooter",function($rootScope, $scope, $state, $ionicPopup, apiRequesterService, $timeout) {

  $scope.appState = $state;
  $scope.appChanged = "";
  $scope.coupon_count = 0;
  $scope.isFooterVisible = true;

  $scope.$watch(function() { return $rootScope.coupon_count; }, function(newCustomer) {
      $scope.coupon_count = $rootScope.coupon_count;
      // if ($rootScope.first_home_visit != null) {
      //   $timeout(function(){
      //     let customer_id = $rootScope.Auth != null ? $rootScope.Auth.customer_id : null;
      //     let access_token = $rootScope.Auth != null ? $rootScope.Auth.access_token : null;
      //     $scope.UpdateCouponCount(customer_id, access_token)  
      //   },1000);
      // }
  }, true);

  $rootScope.$on("hideFooter", function (evt, data) {
    // $scope.Message = "Inside MyController1 : " + data;
    $scope.isFooterVisible = data;
  });

  $rootScope.$on('$stateChangeStart', function(event, toState, toParams, fromState, fromParams){
      $scope.appChanged = toState;
      $scope.coupon_count = $rootScope.coupon_count;
  });

  function showPopup() {
    var alertPopup = $ionicPopup.alert({
      title: 'ご利用上の注意',
      template: 'この機能のご利用にはログインが必要です。',
      buttons: [{text:'閉じる', type: 'button--cancel'}]
    });
  }

  $scope.checkLogin = function(link) {
    if (typeof $rootScope.Customer != 'undefined' && $rootScope.Customer != null) {
      $state.go(link);
    } else {
      if ($state.current.name == 'login'){
        showPopup();
      } else {
        $state.go('login');
      }
    }
  }

  $scope.UpdateCouponCount = function(customer_id, access_token){
    apiRequesterService.getCoupons(customer_id, access_token).then(function(res) {
        $scope.coupon_count = res.data.length;
    });
  }
})
.directive('riracleFooter', function($compile) {
  return {
    restrict: 'E',
    controller: 'RiracleFooter',
    controllerAs: 'ctrl',
    scope: {},
    templateUrl: 'js/ctrls/layouts/common/footer.html',
  };
});