RiracleApp.controller("RiraclePointHistory",function($scope, $rootScope, $state, $cordovaInAppBrowser, config) {

    this.istotalPoints = $scope.totalPoints;
    this.islogged_in = $rootScope.logged_in;

    // About Point (Web View)
    $scope.aboutPoint = function() {
      if(config.isIOS) {
        var ref = cordova.InAppBrowser.open(config.webServer + '/usr/about_point', '_blank', 'location=no');
        ref.addEventListener('loadstart', function(event) {
            if (window.cordova && window.cordova.plugins.Keyboard) {
              cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
            }
        });

        ref.addEventListener('exit', function(event) {
          if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
          }
        });
      } else {
        $rootScope.parameter = config.webServer + '/usr/about_point';
        $rootScope.title = 'ポイントについて';
        $state.go('about-point');
      }
    }

})
.directive('riraclePointHistory', function($compile) {
  return {
    restrict: 'E',
    controller: 'RiraclePointHistory',
    controllerAs: 'ctrl',
    scope: {
        totalPoints: '@'
    },
    templateUrl: 'js/ctrls/layouts/common/point-history.html',
  };
});