var translationsJA = {
  CUSTOMER: {
    LOGIN: {
      0 : '既に登録をお済みの方',
      1 : 'メールアドレス',
      2 : '※半角英数字',
      3 : 'パスワード',
      4 : '※半角英数字',
      5 : 'ログインする',
      6 : 'パスワードをお忘れの方はこちら',
      7 : '新規会員登録（無料）をされる方',
      8 : 'りらくるメンバーズカードが必要です。お手元にカードをご用意いただき、以下より会員認証へ進んでください',
      9 : '会員認証に進む',
      10: 'ご利用にはログインが必要です',
      11: '新規会員登録（無料）をされる方',
    },
    FORGOT: {
      0 : 'メールアドレスを入力してください。登録されたメールアドレスに、パスワードの設定案内自動送信します。',
      1 : 'メールに記載されているリンクを24時間以内にクリックしてください。',
      2: 'メールアドレス',
      3 : '※半角英数字',
      4 : '送信する',
      5 : '※「no-reply@riracle.com」からのメールを受け取れるように受信設定をお願いいたします。',
      6 : '※入力いただいたメールアドレスに間違いがあるとメールが届きませんのでご注意ください。',
    },
    CONFIRM_CODE: {
      0 : 'パスワード再設定用リンクを送信しました。メールに記載されている認証コードを24時間以内に入力してください。',
      1 : '認証コード',
      2 : '4桁の認証コード',
      3 : '送信',
    },
    SUCCESS: {
      0 : '入力いただいたメールアドレスに仮登録メール送付しました。メールの記載されているリンクを1時間以内にクリックしてください。',
      1 : 'もし届いていない場合は、',
      2 : 'こちら',
      3 : 'までお問い合わせください。',
      4 : 'ログインする',
    },
    NEW_PASSWD_SUCCESS: {
      0 : '新しいパスワードを登録しました。',
      1 : 'ログイン',
    },
    NEW_PASSWD: {
      0 : '新しいパスワード',
      1 : '【確認】パスワード',
      2 : '登録',
      3 : '新規パスワードを入力してください。',
    },
    CONFIRMATION: {
      0 : '店舗で発行した「りらくるメンバーズカード」会員の情報をご入力ください。',
      1 : 'メンバーズカードNo.',
      2 : '※13行の数字（半角）',
      3 : '店舗で登録いただいたお電話番号',
      4 : '※半角数字・ハイフンなし',
      5 : '認証する',
    },
    REGISTER: {
      0 : 'マイページへログインいただくためのメールアドレスとパスワードをご登録ください。',
      1 : 'ようこそ！',
      2 : 'メールアドレス',
      3 : '※半角英数字',
      4 : 'りらくるからのお得な情報配信（メールマガジン）を希望する',
      5 : '情報配信（メールマガジン）を希望しない',
      6 : 'パスワード',
      7 : '※8桁以上32桁以下の半角英数字',
      8 : '【確認】パスワード',
      9 : '※8桁以上32桁以下の半角英数字',
      10: '登録する',
      11: '受信する',
      12: '受信しない',
    },
    NEWPASS: {
      0 : '現在のパスワード',
      1 : '新しいパスワード',
      2 : '※半角英数字',
      3 : '【確認】新しいパスワード',
      4 : '※半角英数字',
      5 : '変更する',
      6 : 'キャンセル',
    },
    HOME: {
      0 : '有効期限が迫っているポイントがあります。',
      1 : 'チャージポイント',
      2 : 'ボーナスポイント',
      3 : 'まで有効',
      4 : 'ポイントについて',
      5 : 'メンバーズカードを見せる',
      6 : '前回の施術内容',
      7 : '日にち',
      8 : '施術内容',
      9 : '店舗',
      10: '担当',
      11: 'お疲れの部分',
      12: '店舗情報',
      13: 'メディア情報',
      14: 'ニュース',
      15: '店舗情報をもっと見る',
      16: '現在の総ポイント',
      17: 'ポイント履歴を見る',
      18: 'メンバーズカードNo.',
      19: '受付時にご提示ください。',
      20: '会員情報の確認・変更はこちら',
      21: '画面が暗いと読取りにくいことがあります。',
      22: 'スタンプラリーを確認',
      23: 'メディア情報をもっと見る',
      24: 'ニュースをもっと見る'
    },
    MEMBER1: {
        0 : 'お名前',
        1 : 'メンバーズカードNo.',
        2 : 'メールアドレス',
        3 : 'パスワード',
        4 : '住所',
        5 : '電話番号',
        6 : 'PUSH通和',
        7 : 'メールマガジンを希望する',
        8 : '退会手続きをする',
        9 : '変更する'
    },
    UPDATE_EMAIL: {
      0 : '現在のメールアドレス',
      1 : '新しいメールアドレス',
      2 : '変更する',
      3 : 'キャンセルする',
    },
    DEACTIVATE: {
      0 : '本当に退会しても',
      1 : 'よろしいですか？',
      2 : '退会時のご注意',
      3 : 'りらくる店舗で同会員でのご利用はできなくなります。',
      4 : 'キャンセルする',
      5 : '退会する',
      6 : '退会された会員様のポイントはすべて無効となります。'
    },
    UPDATE_TEL: {
      0 : '電話番号',
      1 : '変更する',
      2 : 'キャンセルする',
    },
    UPDATE_ADDRESS: {
      0 : '都道府県',
      1 : '市区町村名',
      2 : '（例：千代田区神田神町）',
      3 : '番地・ビル名',
      4 : '（例：1-2-3りらくビル）',
      5 : '変更する',
      6 : 'キャンセルする'
    },
    SMS_VERIFICATION: {
      0 : 'SMSで認証に変更',
      1 : '携帯電話番号によるご本人認証を行います。SMSを受信できる番号を入力してください。',
      2 : '次へ'
    }
  },

  LAYOUTS: {
    NAVI: {
      0 : 'ログイン／新規会員登録',
      1 : '店舗検索',
      2 : 'キャンペーン',
      3 : 'ニュース',
      4 : 'セラピスト指名ランキング',
      5 : 'ポイント履歴',
      6 : 'ポイントについて',
      7 : '利用規約',
      8 : 'プライバシーポリシー',
      9 : '運営会社',
      10: 'アプリバージョン',
      11: 'ログアウト',
      12: '会員情報の確認・変更',
      13: 'お問い合わせ'
    },

    COMMON: {
      0 : 'ホーム',
      1 : 'クーポン',
      2 : '施術履歴',
      3 : '店舗検索',
      4 : 'ポイント' // eGift
    },

    ADD_REVIEW_MODAL: {
      0 : 'ご来店、誠に',
      1 : 'ありがとうございました！',
      2 : "りらくるは皆さまにご満足いただけるよう、日々改善に努めております。",
      3 : "今回の施術のご感想・評価にご協力いただけますとボーナスポイントを",
      4 : "ptプレゼントいたします！",
      5 : '感想・評価を記入して',
      6 : 'ポイントGET!',
      7 : '今はしない',
      8 : '今回の施術はいかがでしたか？',
    },
  },

  NEWS: {
    DETAIL: {
      0 : '一覧にもどる',
    },
  },
  PREF: {
    LIST: {
       0 : '該当する店舗がありません。',
    }
  },
  VERY_BAD  : 'とても悪かった',
  BAD       : '悪かった',
  NORMAL    : '普通',
  GOOD      : '良かった',
  EXCELLENT : 'すごく良かった',
  STATIC: {
    STEP1: {
      0 : '行きたい店舗をスピーディに検索！',
      1 : '空き状況がひとめでわかります。',
      2 : '次へ',
    },
    STEP2: {
      0 : 'お得なキャンペーン情報をお知らせ！',
      1 : 'アプリ限定のクーポンももらえます。',
      2 : '次へ',
    },
    STEP3: {
      0 : '施術後、感想・評価を書いて',
      1 : 'お得にポイントをGET!',
      2 : 'はじめる',
    },
    VERSION: {
      0 : 'アプリバージョン'
    }
  },

  POINTS: {
    MODAL: {
      0 : 'ポイントの有効期限が',
      1 : '迫っています。',
      2 : 'またご利用になっていない方は',
      3 : '失効前にぜひご利用ください。',
      4 : '閉じる',
    },
    HISTORY: {
      0 : '現在の総ポイント',
      1 : 'チャージポイント',
      2 : 'ボーナスポイント',
      3 : 'ポイントについて',
      4 : 'ポイント取得・利用履歴',
    }
  },

  SHOPS: {
    INFORMATION: {
      0 : '住所',
      1 : '予約',
      2 : '営業時間',
      3 : '駐車場',
      4 : 'サービス',
      5 : 'セラピスト指名ランキング',
      6 : '男性',
      7 : '女性',
      8 : '閉じる',
      9 : '実績',
      10: '（毎月10日更新）',
      11: 'WEB予約',
      12: 'ネット予約',
      13: '（空席確認）',
      14: 'お電話予約はこちら',
      15: '地図アプリで見る',
      16: '備考'
    }
  },

  ORDERS: {
    HISTORY: {
      0 : '日にち',
      1 : '施術内容',
      2 : '店舗',
      3 : 'ご予約はお電話で',
      4 : '担当',
      5 : 'お疲れの部分',
      6 : 'レビューを書いてポイントをGET！',
      7 : 'レビューを書く',
      8 : 'レビュー',
      9 : '済み',
    },
    NO_ORDERS: {
      0 : '施術履歴が',
      1 : 'まだありません。'
    }
  },
  REVIEWS: {
    ADD: {
      0 : '日にち',
      1 : '施術内容',
      2 : '店舗',
      3 : '担当',
      4 : '星をタップしてレビューしましょう！',
      5 : '普通',
      6 : 'ご感想（30文字以上）',
      7 : 'ここに施術の感想をご記入ください。',
      8 : '※ご記入いただいた内容は匿名で弊社ＨＰやチラシなどに利用させていただくことがございます。',
      9 : '送信する',
      10: 'キャンセルする',
      11: '施術の感想・評価を書いて',
      12: 'ポイントGET!',
      13: '承認済（編集不可）',
      14: '※お問い合わせやご質問はお問い合わせフォームからご依頼ください。アプリのレビューにお問い合わせいただいてもご返信は致しかねます。'
    },

    POINT: {
      0 : 'ご協力ありがとうございました！',
      1 : '次回のご来店、',
      2 : '心よりお待ちしております。',
      3 : '獲得',
      4 : '閉じる',
      5 : 'ポイントは翌日に反映されます'
    }
  },
  COUPONS: {
    NO_COUPONS: {
      0 : '現在ご利用できる',
      1 : 'クーポンはございません。',
      2 : '新しいクーポンが配布されるまで',
      3 : 'お待ちください。',
    },
    TERMS: {
      0 : 'ご利用条件',
      1 : 'お会計時にクーポン画面を提示ください。',
      2 : '１画面につき１名様のご利用となります。',
      3 : '同一クーポンについては、1回のご来店で1回までのご提示とさせていただきます。',
      4 : 'りらくる全店でご利用いただけます。',
      5 : '閉じる',
    },
    LIST: {
      0 : '有効期限',
      1 : 'まで',
      2 : 'このクーポンを使う',
      3 : 'ご利用条件',
    },
    BARCODE: {
      0 : '有効期限',
      1 : 'まで',
      2 : 'このクーポンを使う',
      3 : 'セラピストにご提示ください。',
      4 : '閉じる',
      5 : 'ご利用条件',
    },
  },
  THERAPIST_RANK: {
      LIST: {
        0 : 'セラピスト指名ランキング',
        1 : '地域を選ぶ',
        2 : '※実績（毎月10日更新）',
        3 : 'もっと見る',
    },
  },
  SURVEY: {
    HOME: {
      0 : 'アンケートに答えて',
      1 : 'ポイントGET!',
      2 : 'アンケート実施期間',
      3 : '※アンケートにお答えいただけるのはおひとり様1回とさせていただきます。',
      4 : 'アンケートに回答する',
      5 : 'キャンセルする',
      6 : 'すでに回答済みです。',
      7 : '実施中のアンケートがありません。\n 次回の実施までお待ちください。',
      8 : 'すでに回答済みです。',
      9 : '戻る'

    },
    QUESTION: {
      0 : '中止',
      1 : '次へ',
      2 : '送信'
    },
  },
  STAMP: {
    MARK: {
      0 : '済',
    },
    INFO: {
      0 : 'つのスタンプを集めて',
      1 : 'ポイントGET!',
      2 : 'スタンプ配布期間',
      3 : 'スタンプラリー対象店舗を地図で確認',
      4 : 'ご利用上のご注意',
    }
  }
};

var translationsEN = {
  CUSTOMER: {
    LOGIN: {
      0 : 'Those who already enrolled',
      1 : 'Email Address',
      2 : 'Alphanumeric characters',
      3 : 'Password',
      4 : 'Alphanumeric characters',
      5 : 'Login',
      6 : 'Forgot password click here',
      7 : 'New Customer Registration(Free)',
      8 : 'Riraku members card is required. Prepare your card and please proceed to membership certification from the following.',
      9 : 'Proceed to membership certification',
      11: 'Those who do new member registration (free)'
    },
    FORGOT: {
      0 : 'Please enter Email AddressBWe automatically send password setting guidance to the registered e-mail address.',
      1 : 'Please click on the link described in the email within 24 hours.',
      2 : 'Email Address',
      3 : 'Alphanumeric characters',
      4 : 'Send',
      5 : 'Please set receive settings so that you can receive mail from "no-reply@riracle.com".',
      6 : 'Please be aware that email will not reach you if there is a mistake in the email address you input.',
    },
    CONFIRM_CODE: {
      0 : 'Check a mail!',
      1 : 'Code',
      2 : 'Please input 4 digits',
      3 : 'Submit',
    },
    NEW_PASSWD_SUCCESS: {
      0 : 'New password has been updated.',
      1 : 'Login',
    },
    NEW_PASSWD: {
      0 : 'Password',
      1 : '【Confirm】 Password',
      2 : 'Submit',
      3 : 'Input new password.'
    },
    CONFIRMATION: {
      0 : 'Please enter your membership information(Riraku Members Card) issued at the store.',
      1 : 'Members Member Card',
      2 : 'Alphanumeric characters',
      3 : 'Telephone number registered at the store',
      4 : 'Numeric, No hypen',
      5 : 'Authenticate',
    },
    REGISTER: {
      0 : 'Please register your e-mail address and password to login to My Page',
      1 : 'Welcome',
      2 : 'Email Address',
      3 : 'Alphanumeric characters',
      4 : 'I would like to receive email updates from riraku(mail magazine)',
      5 : 'I do not want to receove email updates from riraku(mail magazine)',
      6 : 'Password',
      7 : 'Alphanumeric characters',
      8 : 'Password Confirmation',
      9 : 'Alphanumeric characters',
      10: 'Register',
      11: 'Receive',
      12: 'Not Receive',
    },
    NEWPASS: {
      0 : 'Current Password',
      1 : 'New Password',
      2 : 'Alphanumeric characters',
      3 : 'New Password Confirmation',
      4 : 'Alphanumeric characters',
      5 : 'Update',
      6 : 'Cancel',
    },
    HOME: {
      0 : "The point's expiration date is following",
      1 : 'Charge Points',
      2 : 'Bonus Points',
      3 : 'Valid Until',
      4 : 'About Points',
      5 : 'Show members card',
      6 : 'Previous treatment contents',
      7 : 'Day',
      8 : 'Treatment Contents',
      9 : 'Shop',
      10: 'Person in Charge',
      11: 'Show Treatment History',
      12: 'Shop Information',
      13: 'Media Information',
      14: 'News',
      15: 'Show more shop information',
      21: 'Please brighten device screen.',
      22: 'Check Stamp Rally',
      23: 'Show more media information',
      24: 'Show more news'
    },
    MEMBER1: {
      0 : 'Name',
      1 : 'Members Member Card',
      2 : 'Email Address',
      3 : 'Password',
      4 : 'Address',
      5 : 'Phone No.',
      6 : 'PUSH Communication',
      7 : 'I want mail magazine',
      8 : 'Unsubscribe',
      9 : 'Edit'
    },
   UPDATE_EMAIL: {
      0 : 'Current Email Address',
      1 : 'New Email Address',
      2 : 'Update',
      3 : 'Cancel',
    },
    DEACTIVATE: {
      0 : 'Do you really want to',
      1 : 'unsubscribe?',
      2 : 'Unsubscribe Notes',
      3 : 'Note',
      4 : 'Cancel',
      5 : 'Unsubscribe',
    },
    UPDATE_TEL: {
      0 : 'TEL',
      1 : 'Edit',
      2 : 'Cancel',
    },
    UPDATE_ADDRESS: {
      0 : 'Pref',
      1 : 'City',
      2 : '（i.e. Chiyoda-qu）',
      3 : 'Street',
      4 : '（i.e.：1-2-3 Riraku Building）',
      5 : 'Edit',
      6 : 'Cancel',
    },
    SMS_VERIFICATION: {
      0 : 'SMS Verification',
      1 : 'SMS Verification : Please input valid Phone number.',
      2 : 'Next'
    }
  },

  LAYOUTS: {
    NAVI: {
      0 : 'Login/New Customer Registration',
      1 : 'Search Shop',
      2 : 'Campaign',
      3 : 'News',
      4 : 'Therapist Nomination Rankings',
      5 : 'Points History',
      6 : 'About Points',
      7 : 'Terms of Service',
      8 : 'Privacy Policy',
      9 : 'Operating Company',
      10: 'Application Version',
      11: 'Logout',
      12: 'Customer Info',
      13: 'Contact Us'
    },

    COMMON: {
      0 : 'Home',
      1 : 'Coupon',
      2 : 'Order',
      3 : 'Shop',
      4 : 'eGift'
    },

    ADD_REVIEW_MODAL: {
      0 : 'Thank you',
      1 : 'for coming to our store.',
      2 : "How was the treatment?",
      3 : "Rirauku is working hard to improve every day so that everyone can be satisfied.",
      4 : " Those who are satisfied, will be very encouraging if you put a ☆ 5 review.",
      5 : " points we will give you!",
      6 : 'Please cooperate by writing review',
      7 : 'Get Points!',
      8 : 'Later',

    },
  },

  STATIC: {
    STEP1: {
      0 : 'Speedy search for stores you want to go to! ',
      1 : 'know the availability at a glance.',
      2 : 'Next',
    },
    STEP2: {
      0 : 'Please inform us about campaign information!',
      1 : 'You can also get an application-specific coupon.',
      2 : 'Next',
    },
    STEP3: {
      0 : "After the treatment, ",
      1 : "Get points by review points will accumulate,",
      2 : " Let's use the service conveniently",
      3 : 'Begin',
    },
    VERSION: {
      0 : 'Application Version'
    }
  },

  POINTS: {
    MODAL: {
      0 : "The point's expiration date ",
      1 : "is following",
      2 : 'To those whore are not using',
      3 : 'please use it before it lapse.',
      4 : 'Close',
    },
    HISTORY: {
      0 : 'Current total points',
      1 : 'Charge Points',
      2 : 'Bonus Points',
      3 : 'About Points',
      4 : 'Get Points, Use History',
    }
  },
  SHOPS: {
    INFORMATION: {
      0 : 'Address',
      1 : 'Phone No.',
      2 : 'Business Hours',
      3 : 'Parking Lot',
      4 : 'Service',
      5 : 'Therapist Nomination Rankings',
      6 : 'Male',
      7 : 'Female',
      8 : 'Close',
      9 : 'Actual',
      10: '(Update on 10th day every month)',
      15: 'Open Map App',
      16: 'Remarks'
    }
  },

  ORDERS: {
    HISTORY: {
      0 : 'Day',
      1 : 'Treatment Contents',
      2 : 'Shop',
      3 : 'Reservation by Phone',
      4 : 'Person in Charge',
      5 : 'Tired parts',
      6 : 'Get Points by writing a review!',
      7 : 'Write a Review',
      8 : 'Review',
      9 : 'Already',
    },
    NO_ORDERS: {
      0 : 'No',
      1 : 'Order History'
    }
  },

  REVIEWS: {
    ADD: {
      0 : 'Day',
      1 : 'Treatment Contents',
      2 : 'Shop',
      3 : 'Person in Charge',
      4 : 'Click the star and make a review',
      5 : 'Usual',
      6 : 'Impression (minimum of 30 characters)',
      7 : 'Please enter your impression of this treatment here.',
      8 : 'We will use it anonymously as we fill in our HP and fliers etc.',
      9 : 'Send',
      10: 'Cancel',
      11: 'Write a Review',
      12: 'GET POINTS!',
      13: 'Approved (uneditable)',
      14: 'Ask in contact us if you have questions',
    },

    POINT: {
      0 : 'Thank you for your cooperation',
      1 : 'We will be waiting for you next time',
      2 : 'from the bottom of my heart.',
      3 : 'Acquisition',
      4 : 'Close',
      5 : 'You will receive point tomorrow.'
    }
  },
  COUPONS: {
    NO_COUPONS: {
      0 : 'There are no coupons',
      1 : 'currently available.',
      2 : 'Please wait until new',
      3 : 'coupons are distributed.',
    },
    TERMS: {
      0 : 'Use Case',
      1 : 'Please present coupon at checkout',
      2 : '1 screen per person can use',
      3 : 'Regarding the same coupon, we will offer up to one visit at one visit.',
      4 : 'You can use it on all riraku stores',
      5 : 'Close',
    },
    LIST: {
      0 : 'Expiration Date',
      1 : 'Until',
      2 : 'Use this coupon',
      3 : 'Use Case',
    },
    BARCODE: {
      0 : 'Expiration Date',
      1 : 'Until',
      2 : 'Use this coupon',
      3 : 'Please present to therapist',
      4 : 'Close',
      5 : 'Use Case',
    },
  },
  THERAPIST_RANK: {
    LIST: {
      0 : 'Therapist Ranking',
      1 : 'Choose Region',
      2 : 'Actual (Update on 10th day every month)',
      3 : 'Show More',
    }
  },
  SURVEY: {
    HOME: {
      0 : 'Answer the survey',
      1 : 'Get Points',
      2 : 'Questionnaire Implementation Period',
      3 : 'One person will be able to answer the questionnaire at a time.',
      4 : 'Answer the questionnaire',
      5 : 'Cancel',
      6 : 'Already answered',
      7 : 'No available survey now. Please wait for next survey.',
      8 : 'Already answered',
      9 : 'Back to Home'
    },
    QUESTION: {
      0 : 'Back',
      1 : 'Next',
      2 : 'Submit'
    },
  },
  NEWS: {
    DETAIL: {
       0 : 'Go to List',
    },
  },
  PREF: {
    LIST: {
       0 : 'No Shop',
    }
  },
  STAMP: {
    MARK: {
      0 : 'Done',
    },
  },
  VERY_BAD  : 'Very Bad',
  BAD       : 'Bad',
  NORMAL    : 'Normal',
  GOOD      : 'Good',
  EXCELLENT : 'Excellent',
};
