/*
 * RegSuccessCtrl
 *
 * responsible for customer registration complete
 * view : reg-success.html
 */
(function() {
    'use strict';

    angular
        .module('starter')
        .controller('RegSuccessCtrl', RegSuccessCtrl);

    function RegSuccessCtrl($scope, $ionicPopup, $log, $state, config, $rootScope, $ionicHistory) {

        $scope.login = function() {
            $ionicHistory.nextViewOptions({
                disableAnimate: true
            });
            $state.go('login');
        }

        var target = '_system';
        if (config.isAndroid) {
            target = '_self'
        }

        $scope.contact = function() {
          $rootScope.parameter = config.webServer + '/usr/inquiry/index';
          var confirmPopup = $ionicPopup.confirm({
            title: 'ブラウザで開く',
            template: 'このページはアプリでは開けないため、ブラウザが起動しますがよろしいですか？',

            buttons: [{
                  text: 'いいえ',
                  type: 'button-disable'
                },{
                  text: 'はい',
                  type: 'button-positive',
                  onTap: function(e) {
                    window.open($rootScope.parameter, target, 'location=yes')
                  }
                }
              ]
          });
        }
    }

})();
