/*
 * PrefCtrl
 *
 * responsible for displaying customer points
 * view : pref.html
 */
(function() {
  'use strict';

  angular
    .module('starter')
    .controller('PrefCtrl', PrefCtrl);

  function PrefCtrl($scope, $rootScope, $state, $ionicLoading, config, apiRequesterService) {

    // prefecture container 
    $scope.$on('$stateChangeSuccess', function() {
        $scope.prefs       = [];
        if ($state.current.url == '/shops/pref') {
            $rootScope.selected_pref_name = '';
            $rootScope.selected_city_name = '';
        }
        $scope.prefs = MST_PREF
    });
    // Go to city page and save selected pref
    $scope.goCity = function(pref) {
        $rootScope.selected_pref_id     = pref.id;
        $rootScope.selected_pref_name   = pref.name;
        $rootScope.selected_api_pref_id = pref.api_pref_id;
        $state.go('city');
    }
  }
})();
