/*
 * VersionCtrl
 *
 * responsible for displaying Version screen
 * view : tab-Version.html
 */
(function() {
    'use strict';

    angular
        .module('starter')
        .controller('VersionCtrl', VersionCtrl);

    function VersionCtrl($scope, $cordovaAppVersion) {

        // get APP Version from config.xml
        document.addEventListener("deviceready", function () {
            $cordovaAppVersion.getVersionNumber().then(function (version) {
                $scope.appVersion = version;
            });
        }, false);
    }
})();
