RiracleApp.controller("RiracleConnectionError",function($scope, $interval, checkConnectionService, apiRequesterService, $rootScope) {

  $scope.isConnected = true;
  $scope.hasInternet = true;

  $scope.$watch(function() { return checkConnectionService.getConnectionStatus(); }, function(newConnectionStatus) { 
    $scope.isConnected = newConnectionStatus.connection_status;
    $scope.hasInternet = $scope.checkInternetConnection();
  }, true);

  $scope.checkInternetConnection = function() {
    let hasInternet = false;
    if (this.isConnected) {
      hasInternet = true;
    } else {
      apiRequesterService.checkConnection().then(function(data) {
        hasInternet = true;
      });
    }
    return hasInternet;
  }

})
.directive('riracleConnectionError', function($compile) {
  return {
    restrict: 'E',
    controller: 'RiracleConnectionError',
    controllerAs: 'ctrl',
    scope: {},
    templateUrl: 'js/ctrls/layouts/connection_error.html',
  };
});
