angular.module(
    'errorModule',
    []
).factory(
    'errorFactory',
    function(apiRequesterService, $rootScope, DbFactory, $state, $timeout) {

        return {
            logoutErrorHandling : function () {
                apiRequesterService.logout($rootScope.Auth, $rootScope.Customer).then(function(res) {
                    DbFactory.drop('customer').then(function() {
                        DbFactory.drop('auth_customer').then(function() {
                            $rootScope.Customer = null;
                            $rootScope.Auth = null;
                            $rootScope.OrderItems = [];
                            $rootScope.PointItems = [];

                            // Reset coupons
                            $rootScope.coupons = [];
                            $rootScope.coupon_count = 0;
                            $rootScope.coupons_visited = 0;

                            $state.go('login');
                            // timeout for making visit home == null
                            $timeout(function(){
                                $rootScope.visit_home = null;
                            },1000);
                        });
                    });
                }).catch(function(){
                    DbFactory.drop('customer').then(function() {
                        DbFactory.drop('auth_customer').then(function() {
                            $rootScope.Customer = null;
                            $rootScope.Auth = null;
                            $rootScope.OrderItems = [];
                            $rootScope.PointItems = [];

                            // Reset coupons
                            $rootScope.coupons = [];
                            $rootScope.coupon_count = 0;
                            $rootScope.coupons_visited = 0;

                            $state.go('login');
                            // timeout for making visit home == null
                            $timeout(function(){
                                $rootScope.visit_home = null;
                            },1000);
                        });
                    });
                });
                apiRequesterService.getCoupons(null, null).then(function(res) {
                    $rootScope.coupon_count = res.data.length;
                });
            }
        }
    }
);
